/****************************************************************************/
/**    GNOM - Gnom Is NOt MCuT                                             **/
/**  Copyright (C) 1997 Jochen Sarrazin, DG6VJ. All righs reserved.        **/
/**                                                                        **/
/**  Funktionen fr die Remote-Befehle (//SOWISO)                          **/
/****************************************************************************/

#ifndef REMOTE_H
#define REMOTE_H



/* Prototypen-Deklarationen der einzelnen Remote-Befehle */



/* Auswertung der Remote-Kommandos */
void remote_command(char *command, int length, int chan);

/* Schickt den bergebenen Text von tochan nach fromchan */
void remote_textsend(int tochan, int fromchan, char *text);

/* Wenn CS_PROMPT 1 ist, wird ein Prompt ausgesendet */
void check_send_prompt(int chan);

void remote_name(int chan, char *param);

void remote_Quit(int chan);

void remote_Version(int chan);

void remote_chanstat(int chan);

void remote_comp(int chan, char *param);

void remote_write(int chan, char *param);

void remote_read(int chan, char *param);

void remote_info(int chan);

void remote_help(int chan);

/* //RING - Bimmel */
void remote_ring(int chan);

void remote_echo(int chan, char *str);

void remote_rtt(int chan, char *str);


void remote_dir(int chan, char *str);


#endif

